<!DOCTYPE html>
<html lang="en-ie">
  <head>
    <meta charset="UTF-8"/>
    <title>Skynet Register</title>
    <link href="images/favicon/favicon-16x16.png" rel="icon" type="image/png"/>
    <link href="stylesheets/index.css" rel="stylesheet" type="text/css"/>
  </head>
  <body>
    <div class="wrapper">
      <header class="page-header">
        <img alt="Sharky, our mascot" height="81.56" src="images/sharky.svg" width="145"/>
        <h1>Skynet Self Service</h1>
      </header>
      <main class="page-body">
        <h2>Register</h2>
        <p>
          Thank you for signing up for your Skynet account.
          <br/>
          Please complete the process by filling in the form below.
          <br />
          Username is what you want to be known on Skynet as.
          <br>
          It must be lowercase, start with a letter and contain only 0-9 a-z and _-
        </p>
        <form id="form">
          <table id="table">
            <tr>
              <td><label for="user">Username</label></td>
              <td><input id="user" name="user" type="text"/> <br/></td>
            </tr>
            <tr>
              <td><label for="pass">Password</label></td>
              <td><input id="pass" maxlength="254" minlength="8" name="pass" type="password"/> <br/></td>
            </tr>
            <tr>
              <td><label for="confirm">Confirm</label></td>
              <td><input id="confirm" name="confirm" type="password"/></td>
            </tr>
            <tr>
              <td colspan="2"><input id="button" type="Submit" value="Submit"/></td>
            </tr>
          </table>
        </form>
        <p id="formStatus"></p>
        <script type="module" src="register.js"></script>
      </main>
      <footer class="page-footer">
        UL Computer Society 2023-<span id="year">2023</span>
        <script>
          document.getElementById('year').textContent = new Date().getFullYear().toString()
        </script>
      </footer>
    </div>
  </body>
</html>